Gecode::SetVarGlbValues Class Reference

Iterator for the values in the greatest lower bound of a set variable. More...

`#include <set.hh>`

## Constructors and initialization

| SetVarGlbValues (void)
| Default constructor.
| SetVarGlbValues (const SetVar &x)
| Initialize to iterate values of variable x.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

Iterator for the values in the greatest lower bound of a set variable.

Definition at line 366 of file set.hh.

## Constructor & Destructor Documentation

## SetVarGlbValues() [1/2]

Gecode::SetVarGlbValues::SetVarGlbValues | ( | void |  | ) |

Default constructor.

## SetVarGlbValues() [2/2]

Gecode::SetVarGlbValues::SetVarGlbValues | ( | const SetVar & | x | ) |

inline

Initialize to iterate values of variable x.

Definition at line 185 of file set.hpp.

## Member Function Documentation

## operator()()

bool Gecode::SetVarGlbValues::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 191 of file set.hpp.

## operator++()

void Gecode::SetVarGlbValues::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 196 of file set.hpp.

## val()

int Gecode::SetVarGlbValues::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 201 of file set.hpp.

The documentation for this class was generated from the following files:

- gecode/set.hh
- gecode/set/var/set.hpp